Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1272735 - mount should fallback to auth_sys if
Summary: mount should fallback to auth_sys if
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks: 1298243
TreeView+ depends on / blocked
 
Reported: 2015-10-18 10:11 UTC by Ondrej
Modified: 2020-03-11 14:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 15:32:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ondrej 2015-10-18 10:11:00 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Ondrej 2015-10-18 10:36:38 UTC
System which is ready for Kerberized mounts (.i.e. fully configured, rpc.gssd running, nfs-secure service started...) does not seem to "like" to mount NFSv4 share with anything else than krb5p security flavor.
But it can happen, that the share we want to mount is exported with system authentication only.

right now command:
mount netapp:/vol/vol0 /mnt
- fails because /vol/vol0 is not exported with krb5p security flavor

workaround:
mount -o sec=sys netapp:/vol/vol0 /mnt

Expectations:
mount netapp:/vol/vol0 /mnt
- I would expect mount will try (with nothing specified in /etc/nfsmount.conf) all flavors in this order - krb5p -> if fails then krb5i -> if fails then -> krb5 -> if fails then sys.

Ideally we should somehow "detect" which security flavor the server offers for the requested share. Not sure if that's possible.

Comment 3 Dave Wysochanski 2016-11-29 21:53:15 UTC
Steve D - does this bug make sense to you or do you need clarification?

Comment 4 Steve Dickson 2016-12-05 19:33:34 UTC
(In reply to Dave Wysochanski from comment #3)
> Steve D - does this bug make sense to you or do you need clarification?

Nope.... 

Would it be possible to get a binary wireshark network trace?

Comment 5 Ondrej 2016-12-06 14:56:20 UTC
Hi, there is a RHEL support case #01525032 opened regarding this one.
Please reach there for the required packet trace.


Note You need to log in before you can comment on or make changes to this bug.